/*
		Nodes are the sites connecting Links, ie. intersections
		class Node is just prototype for nodes
		The nodes defined in stachastic model and the nodes defined
	in deterministic model (involving routing) extends from Node.
 
*/

import java.awt.Point;
     
public class Node implements TrafficConstants{
    
   public Node(Point p)
   {
      this.p=p;
      this.cross = null;
      this.forbid = false;     
   }
   
   public Point getPosition(){ return this.p; }
   
   public Vehicle getStatus()
   {
      return cross;
   }
   public void setStatus(Vehicle car)
   {
      this.cross = car;
		if(this.cross != null){
	       setForbid(true);
			 cross.resetWaitTime();
		}
   }

   public void setForbid(boolean f)
   {
        this.forbid = f;
   }

   public boolean getForbid()
   {
      return this.forbid;
   }
   
	protected Point p;	//center of the Node/Site
   protected Vehicle cross;//refer to a vehicle object
   protected boolean forbid; //to avoid collision at intersections
	                 	       //forbid more than one car moving into this node
}
