import java.awt.Color;
  
public class Vehicle implements TrafficConstants{                
   private int carColor;
   private int velocity;   
   private int waitTime;//time of staying in same site                                 
   
   //direction for facing north, east, south, west
   private int direction;
   
   //constructor,??not use p,d???                                 
   public Vehicle(int v,int d,int c)
   {
      this.direction = d;
      this.velocity = v;     
      this.carColor = c;
		this.waitTime = 0;
   }

   public  int getVelocity()
   {
      return velocity;
   }
   public void setVelocity(int v)
   {
      velocity = v;
   }
   //color is set only once,at new
   public int getColor()
   {
      return this.carColor;
   }
   
   //direction field is useful for the vehicle at Node, 
   public int getDirection()
   {
       return this.direction;
   }
   public void setDirection(int d)
   {
       this.direction = d;
   }
   
	public void incWaitTime()
	{
	    this.waitTime++;
	}
	//every time when a vehicle moves, reset its waitTime
	public void resetWaitTime()
	{
	    this.waitTime = 0;
	}
	public int getWaitTime()
	{
	    return this.waitTime;
	}       
}
